org.jbpm.services.ejb.impl

## Class RuntimeDataServiceEJBImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.RuntimeDataServiceImpl
  - - org.jbpm.services.ejb.impl.RuntimeDataServiceEJBImpl

- All Implemented Interfaces:
    DeploymentEventListener, RuntimeDataService, RuntimeDataServiceEJBLocal, RuntimeDataServiceEJBRemote

      public class RuntimeDataServiceEJBImpl
      extends RuntimeDataServiceImpl
      implements DeploymentEventListener, RuntimeDataService, RuntimeDataServiceEJBLocal, RuntimeDataServiceEJBRemote

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jbpm.services.api.RuntimeDataService

      `RuntimeDataService.EntryType`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.kie.services.impl.RuntimeDataServiceImpl

      `availableProcesses, deploymentIds, taskAuditService, taskService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeDataServiceEJBImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure()`
    `void` | `onActivate(DeploymentEvent event)`
    `void` | `onDeactivate(DeploymentEvent event)`
    `void` | `onDeploy(DeploymentEvent event)`
    `void` | `onUnDeploy(DeploymentEvent event)`
    `void` | `setCommandService(TransactionalCommandService commandService)`
    `void` | `setDeploymentRolesManager(DeploymentRolesManager deploymentRolesManager)`
    `void` | `setTaskService(org.kie.api.task.TaskService taskService)`

    - ### Methods inherited from class org.jbpm.kie.services.impl.RuntimeDataServiceImpl

      `adoptList, applyDeploymentFilter, applyPaginition, applyQueryContext, applyQueryFilter, applySorting, getAllAdminAuditTask, getAllAuditTask, getAllAuditTaskByStatus, getAllGroupAuditTask, getNodeInstanceForWorkItem, getNodeInstancesByCorrelationKeyNodeType, getNodeInstancesByNodeType, getProcessById, getProcesses, getProcessesByDeploymentId, getProcessesByDeploymentIdProcessId, getProcessesByFilter, getProcessesById, getProcessIds, getProcessInstanceByCorrelationKey, getProcessInstanceById, getProcessInstanceFullHistory, getProcessInstanceFullHistoryByType, getProcessInstanceHistory, getProcessInstanceHistoryActive, getProcessInstanceHistoryCompleted, getProcessInstances, getProcessInstances, getProcessInstancesByCorrelationKey, getProcessInstancesByCorrelationKeyAndStatus, getProcessInstancesByDeploymentId, getProcessInstancesByParent, getProcessInstancesByProcessDefinition, getProcessInstancesByProcessDefinition, getProcessInstancesByProcessId, getProcessInstancesByProcessName, getProcessInstancesByVariable, getProcessInstancesByVariableAndValue, getProcessInstancesWithSubprocessByProcessInstanceId, getTaskById, getTaskById, getTaskByWorkItemId, getTaskEvents, getTasksAssignedAsBusinessAdministrator, getTasksAssignedAsBusinessAdministratorByStatus, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwnerByExpirationDateOptional, getTasksAssignedAsPotentialOwnerByStatus, getTasksByProcessInstanceId, getTasksByStatusByProcessInstanceId, getTasksByVariable, getTasksByVariableAndValue, getTasksOwned, getTasksOwnedByExpirationDateOptional, getTasksOwnedByStatus, getUserGroupCallback, getVariableHistory, getVariablesCurrentState, mergeLists, setIdentityProvider, setTaskAuditService, setUserGroupCallback, taskSummaryQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.services.ejb.api.RuntimeDataServiceEJBRemote

      `taskSummaryQuery`

    - ### Methods inherited from interface org.jbpm.services.api.RuntimeDataService

      `getAllAdminAuditTask, getAllAuditTask, getAllAuditTaskByStatus, getAllGroupAuditTask, getNodeInstanceForWorkItem, getNodeInstancesByCorrelationKeyNodeType, getNodeInstancesByNodeType, getProcessById, getProcesses, getProcessesByDeploymentId, getProcessesByDeploymentIdProcessId, getProcessesByFilter, getProcessesById, getProcessIds, getProcessInstanceByCorrelationKey, getProcessInstanceById, getProcessInstanceFullHistory, getProcessInstanceFullHistoryByType, getProcessInstanceHistoryActive, getProcessInstanceHistoryCompleted, getProcessInstances, getProcessInstances, getProcessInstancesByCorrelationKey, getProcessInstancesByCorrelationKeyAndStatus, getProcessInstancesByDeploymentId, getProcessInstancesByParent, getProcessInstancesByProcessDefinition, getProcessInstancesByProcessDefinition, getProcessInstancesByProcessId, getProcessInstancesByProcessName, getProcessInstancesByVariable, getProcessInstancesByVariableAndValue, getProcessInstancesWithSubprocessByProcessInstanceId, getTaskById, getTaskById, getTaskByWorkItemId, getTaskEvents, getTasksAssignedAsBusinessAdministrator, getTasksAssignedAsBusinessAdministratorByStatus, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwnerByExpirationDateOptional, getTasksAssignedAsPotentialOwnerByStatus, getTasksByProcessInstanceId, getTasksByStatusByProcessInstanceId, getTasksByVariable, getTasksByVariableAndValue, getTasksOwned, getTasksOwnedByExpirationDateOptional, getTasksOwnedByStatus, getVariableHistory, getVariablesCurrentState`

- - ### Constructor Detail

    - #### RuntimeDataServiceEJBImpl

          public RuntimeDataServiceEJBImpl()

  - ### Method Detail

    - #### configure

          @PostConstruct
          public void configure()

    - #### setCommandService

          public void setCommandService(TransactionalCommandService commandService)

      Overrides:
        `setCommandService` in class `RuntimeDataServiceImpl`

    - #### setTaskService

          public void setTaskService(org.kie.api.task.TaskService taskService)

      Overrides:
        `setTaskService` in class `RuntimeDataServiceImpl`

    - #### setDeploymentRolesManager

          public void setDeploymentRolesManager(DeploymentRolesManager deploymentRolesManager)

      Overrides:
        `setDeploymentRolesManager` in class `RuntimeDataServiceImpl`

    - #### onDeploy

          public void onDeploy(DeploymentEvent event)

      Specified by:
        `onDeploy` in interface `DeploymentEventListener`
      Overrides:
        `onDeploy` in class `RuntimeDataServiceImpl`

    - #### onUnDeploy

          public void onUnDeploy(DeploymentEvent event)

      Specified by:
        `onUnDeploy` in interface `DeploymentEventListener`
      Overrides:
        `onUnDeploy` in class `RuntimeDataServiceImpl`

    - #### onActivate

          public void onActivate(DeploymentEvent event)

      Specified by:
        `onActivate` in interface `DeploymentEventListener`
      Overrides:
        `onActivate` in class `RuntimeDataServiceImpl`

    - #### onDeactivate

          public void onDeactivate(DeploymentEvent event)

      Specified by:
        `onDeactivate` in interface `DeploymentEventListener`
      Overrides:
        `onDeactivate` in class `RuntimeDataServiceImpl`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.